Generate(图生视频
方法: POST路径: /pixverse/v1/pro/generate
请求参数
Header 参数
text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}Body 参数 application/json
text
prompt
string
必需
image
string
必需
model
string
必需
template_id
integer
可选
motion_strength
number
必需
motion_scale
object
必需
horizontal
number
必需
vertical
number
必需
roll
integer
必需
zoom
number
必需
seed
integer
可选
示例
{
"prompt"
:
"string"
,
"image"
:
"string"
,
"model"
:
"string"
,
"template_id"
:
0
,
"motion_strength"
:
0
,
"motion_scale"
:
{
"horizontal"
:
0
,
"vertical"
:
0
,
"roll"
:
0
,
"zoom"
:
0
}
,
"seed"
:
0
}请求示例代码
Shell
bash
curl --location --request POST '/pixverse/v1/pro/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "string",
"image": "string",
"model": "string",
"template_id": 0,
"motion_strength": 0,
"motion_scale": {
"horizontal": 0,
"vertical": 0,
"roll": 0,
"zoom": 0
},
"seed": 0
}'返回响应
🟢 200 成功
内容类型: application/json
响应结构
text
string
可选示例
json
{
"code": 200,
"data": {
"task_id": "a766793f-5e6b-4f4e-deac-cfa80a51e167"
},
"exec_time": 0.029496,
"msg": "成功"
}